\chapter*{Examples and Exercises}

\section*{Downloading and Building}

Now, you'll be able unpack our sample code and exercises, and build
and install the required libraries. This will definitely take awhile,
but you‘ll only need to do it once:

\begin{listing}
  \begin{bashcode}
    unzip FunctionalWebExamples.zip
    make
  \end{bashcode}
  \caption{Unpacking the sample code and installing the required libraries.}
  \label{lst:examples:installing}
\end{listing}

\section*{Running the Introduction}

All of our example code is set up to be run from an interactive
environment, \gls{ghci}. By being able to interact with code live,
it's much easier to have a real ``dialog'' with the language itself
and see how changes to \glspl{type} or code affect the program.

So first, start \gls{ghci} in the directory with the example code
repository:

\begin{listing}
  \begin{bashcode}
    make repl
  \end{bashcode}
  \caption{Running \gls{ghci} with our examples.}
  \label{lst:examples:ghci}
\end{listing}

And then, just to make sure it can find our examples:

\begin{listing}
  \begin{haskellcode}
    import BFWP.Greeting
    greeting
  \end{haskellcode}
  \caption{Running our \textit{Introduction} example.}
  \label{lst:examples:intro}
\end{listing}

This will import our module \haskellinline|BFWP.Greeting|, and then
run the function \haskellinline|greeting| which it defines. It should
print out a greeting, and some other useful information.

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "../../FunctionalWeb"
%%% End:
